# Some informations on this spec were based on dries' work available in URL
# http://dries.ulyssis.org/rpm/packages/python-ogg/info.html

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_incdir: %define python_incdir %(%{__python} -c "from distutils.sysconfig import get_python_inc; print get_python_inc()")}

Name:           python-ogg
Version:        1.3
Release:        3%{?dist}
Summary:        A Python wrapper for the Ogg libraries

Group:          Development/Languages
License:        LGPL
URL:            http://www.andrewchatham.com/pyogg/
Source0:        http://www.andrewchatham.com/pyogg/download/pyogg-1.3.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, libogg-devel
Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

%description
An object-oriented Python binding for the Ogg libraries. Ogg is a
multimedia bitstream format. With this you can write your own python
applications to play and encode audio files in Ogg format.

%package        devel
Summary:        Development files for the Ogg Python Wrapper
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}, libogg-devel

%description    devel
This package contains headers and libraries required to build applications that
use the python-ogg, a python wrapper for the Ogg libraries.

%prep
%setup -q -n pyogg-%{version}


%build
%{__python} config_unix.py
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
# Include files and dirs below %{python_sitelib} (for noarch packages) and
# %{python_sitearch} (for arch-dependent packages) as appropriate.
%{python_sitearch}/ogg/*.pyo
%{python_sitearch}/ogg/*.pyc
%{python_sitearch}/ogg/*.py
%{python_sitearch}/ogg/_ogg.so

%files devel
%defattr(-,root,root,-)
%{python_incdir}/pyogg/pyogg.h


%changelog
* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-3
- Rebuilt for FC6
- Not excluding pyo files with ghost per Guidelines

* Thu May 25 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-2
- Forked the package with a -devel one including the header.

* Fri May 19 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-1
- Initial RPM release
